import * as React from 'react';
import { connect } from 'react-redux';
import { store } from '../redux';
// import { store } from './components/redux/index';   // почему не этот?
import { url } from '../../App';

import Box from '@mui/material/Box';
import Stack from '@mui/material/Stack';
import Paper from '@mui/material/Paper';
import { styled } from '@mui/material/styles';

import { actionfindPosts } from '../redux/action';
import { RecipeReviewCard as Card } from './card';
import { Container } from '@mui/system';
import AboutMe from './aboutMe';



// сам item для поста
// const Item = styled(Paper)(({ theme }) => ({
const Item = styled(Paper)(({ theme }) => ({
    padding: '0 10px',
    borderRadius: 0,
    boxShadow: 'none'
}))
// })



function Feed({ feed = [] }) {
    return (
        <Container sx={{
            width: '80%',
            mt: 1
        }}>
            {/* тут будет лента новостей */}
            <Stack direction="row" spacing={2}>
                <Item sx={{
                    width: 500
                }}>
                    <Stack>
                        {feed.map(post => <Item key={post._id}><Card postData={post} /></Item>)}
                    </Stack>
                </Item>
                <Item>
                    <AboutMe />
                </Item>
            </Stack>
        </Container>
    )
}

store.dispatch(actionfindPosts())

// export const ReduxFeed = connect(state => ({ posts: state.PostsFind.payload }))(Feed)

// 4 изменение 
export const ReduxFeed = connect(state => ({ feed: state?.promise?.PostsFind?.payload }))(Feed)