import { Link } from "react-router-dom"

import Avatar from '@mui/material/Avatar';
import Stack from '@mui/material/Stack';
import Badge from '@mui/material/Badge';
import MailIcon from '@mui/icons-material/Mail';
import AddAPhotoRoundedIcon from '@mui/icons-material/AddAPhotoRounded';


// компонент входящего письма. в пропсах указать количмество писем
function IncomingMail() {
    return (
        <Stack direction="row" spacing={2}>
            <Badge badgeContent={4} color="secondary">
                <MailIcon color="action" />
            </Badge>
            <Link to="/direct">Директ</Link>
        </Stack>
    )
}

const AsideMenu = () =>
    <aside style={{ width: '15%', minHeight: '100vh', backgroundColor: '#ffdbdb' }}>
        <Stack direction="row" spacing={2}>
            <Avatar sx={{ width: 25, height: 25 }} />
            <Link to="/user/63f8d0c273ca650acb9353f3" >Ваш профиль</Link>
        </Stack>

        <IncomingMail />

        <Stack direction="row" spacing={2}>
            <AddAPhotoRoundedIcon />
            <Link to="/user/63f8d0c273ca650acb9353f3" >Ваш профиль</Link>
        </Stack>

        <br />
        <Link to="/registration">Регистрация</Link>
        <br />
        <Link to="/autorization">Авторизация</Link>
    </aside>



export default AsideMenu