import * as React from 'react';
import { useEffect } from 'react';
import { useParams } from 'react-router-dom';
// import { useParams } from 'react-router';
import { connect } from 'react-redux';
import { store } from '../redux';

import Box from '@mui/material/Box';
import Container from '@mui/material/Container';
import StandardImageList from './gallery';
import Divider from '@mui/material/Divider';
import Grid from '@mui/material/Unstable_Grid2';
import BasicCard from './user_data';
import AddAPhotoRoundedIcon from '@mui/icons-material/AddAPhotoRounded';
import Button from '@mui/material/Button';
import { Link } from 'react-router-dom';
import ImageAvatars from './avatar';

// import { actionFindUserOne } from '../redux/action';
// import { actionFindUserOne } from '../requests/userFindOne';
import { actionFindUserOne } from '../redux/action';

// console.log('action: ', actionFindUserOne)

function User({ user = {}, loadUser }) {

    const { userId } = useParams()
    useEffect(() => { loadUser(userId) }, [userId])


    // собираем все _id подписчиков в один массив
    const promiceStatus = store.getState().promise.UserFindOne.status
    const followingsArr = []

    if (promiceStatus === 'FULFILLED') {
        for (let id of (user.following)) {
            for (let [key, value] of Object.entries(id)) {
                if (key === '_id') {
                    followingsArr.push(value)
                }
            }
        }
    }



    // console.log('userID: ', { userId })
    // console.log('user: ', user)

    return (
        <React.Fragment>
            <Container sx={{ minHeight: '100vh' }} maxWidth="100%" >
                <Box sx={{ margin: "30px 10px" }}>
                    <Grid container spacing={2}>
                        <Grid xs={3}>
                            <Container>
                                <ImageAvatars userData={user} />
                            </Container>
                        </Grid>
                        <Grid xs={9}>
                            {/* <BasicCard userData={{ user, followingsArr }} /> */}
                            <BasicCard userData={user} />
                        </Grid>

                        <Container>
                            <Link to="/createpost" style={{ textDecoration: 'none' }}>
                                <Button variant="contained" color='primary' startIcon={<AddAPhotoRoundedIcon />} onClick={() => (console.log('click add'))}>
                                    Добавить пост
                                </Button>
                            </Link>
                        </Container>
                    </Grid>
                </Box>

                <Divider />

                <Box >
                    <StandardImageList />

                    {/* <StandardImageList userData={user} /> */}
                </Box>
            </Container>
        </React.Fragment >
    );
}

export const CUser = connect(state => ({ user: state?.promise?.UserFindOne?.payload }), { loadUser: actionFindUserOne })(User)

